Đến nội dung


Hình ảnh

Đổi tên Block!?


  • Please log in to reply
3 replies to this topic

#1 chiewater

chiewater

    biết vẽ point

  • Members
  • PipPip
  • 99 Bài viết
Điểm đánh giá: 15 (tàm tạm)

Đã gửi 04 January 2010 - 03:42 PM

Em tìm mãi mà không thấy phần đổi tên Block? Vậy xin các bác chỉ giáo !!!!
  • 0
Đời là bể khổ...
Quay đầu là ... biển ...
----------o0o-----------

#2 ph168xd

ph168xd

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 779 Bài viết
Điểm đánh giá: 309 (khá)

Đã gửi 04 January 2010 - 03:47 PM

Em tìm mãi mà không thấy phần đổi tên Block? Vậy xin các bác chỉ giáo !!!!


Đánh lệnh rename, chọn Block, rồi đổi tên
  • 1

#3 Phiphi-

Phiphi-

    biết lệnh minsert

  • Members
  • PipPipPipPipPipPip
  • 434 Bài viết
Điểm đánh giá: 175 (tàm tạm)

Đã gửi 04 January 2010 - 06:18 PM

Đánh lệnh rename, chọn Block, rồi đổi tên

Lisp dưới đây cũng dùng để Rename các Block nhưng chỉ cần đánh lệnh BLRN rồi chọn Block trên màn hình, đặt tên mới (Block có tên cũ vẩn còn lưu trong b/v)
;; Block ReName   by Lee McDonnell   [31.05.09]

(defun BlkReName (oBlk nBlk / tdef)
(if (and (setq tdef
(tblsearch "BLOCK" oBlk))
(snvalid nBlk))
(progn
(entmake
(subst
(cons 2 nBlk)
(assoc 2 tdef) tdef))
(mapcar 'entmake
(mapcar 'entget
(GetObj (tblobjname "BLOCK" oBlk))))
(entmake
(list
(cons 0 "ENDBLK")
(cons 8 "0"))))
nil)
Nme)

; Get Sub-Entities from Table Def
(defun GetObj (bObj)
(if (setq bObj (entnext bObj))
(cons bObj (GetObj bObj))))

; Test Function
(defun c:BLRN (/ Blk Nme)
(if (and (setq Blk (car (entsel "\nSelect Block to Change: ")))
(eq "INSERT" (cdr (assoc 0 (setq Blk (entget Blk)))))
(setq Nme (getstring t "\nSpecify New Block Name: ")))
(if (BlkReName (cdr (assoc 2 Blk)) Nme)
(entmod
(subst
(cons 2 Nme)
(assoc 2 Blk) Blk))
(princ "\n<< Block ReName Failed >>")))
(princ))

  • 1

#4 Nauvtran

Nauvtran

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 08 January 2010 - 02:00 AM

Cám ơn nhiều nhé! Em đau đầu mấy cái vụ block quá trời!
  • 0